Subject: Re: bug#67161: 30.0.50; [PATCH] Add option `dired-filename-display-length'

From: Stefan Monnier <[email-masked]>
Date: Sun, 26 Nov 2023 09:03:39 -0500

> However, I'm beginning to think that this is a subtle misfeature in
> 'concat': it should support vector of glyphs with faces, and should
> preserve the face information (my patch simply discards faces, which
> could perhaps affect string-width result).

Hmm...  It's hard for me to judge because I don't really understand why
we have "vectors of glyphs".  If vectors of glyphs can express things we
can't express in a string, then the question is what should `concat` do
in that case, and if we can then ... why do we even have vectors of
glyphs?

        Stefan